@echo off

@set TESTS=bt sp lu mg ep cg ft
@set CLASSES=A B C

if exist err.txt del err.txt
if exist bin rmdir /S /Q bin

@for %%T in (%TESTS%) do (
   cd %%T
   if exist comp.err del comp.err
   if exist dvm.err del dvm.err
   if exist *.f del *.f
   if exist *.cu del *.cu
   if exist *info.c del *info.c
   @for %%C in (%CLASSES%) do (
      if exist err_%%C.txt del err_%%C.txt 
      if exist out_%%C.txt del out_%%C.txt       
   )
   cd ../
)
